Skip to main content
GET
/
v1
/
captures
List Captures
curl --request GET \
  --url https://api.withflex.com/v1/captures \
  --header 'Authorization: Bearer <token>'
{
  "captures": [
    {
      "amount_captured": 0,
      "amount_shipping_captured": 0,
      "amount_discount_captured": 0,
      "amount_tax_captured": 0,
      "capture_id": "obj_01EXAMPLE00000000000000000",
      "created_at": "2024-01-01T00:00:00Z",
      "items": [],
      "metadata": {},
      "test_mode": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

expand
string
default:""

Comma-separated list of related objects to expand in the response (e.g., "payment_intent").

Example:

""

checkout_session
string | null

Filter captures by checkout session ID.

Example:

"obj_01EXAMPLE00000000000000000"

Response

Success

captures
object[]
required